<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
>
<f:metadata>
    <f:viewAction onPostback="false" action="#{foodBean.init}"/>
</f:metadata>

<ui:composition>
    <h:head>
        <title>ثبت غذا</title>




    </h:head>

    <h:body style="direction: rtl">
        <div class="ui-g-3"></div>

        <p:fieldset legend="غذا" style="margin-bottom:30px" class="ui-g-6">
            <h:form id="addForm">
                <p:messages autoUpdate="true" globalOnly="false" id="messages" closable="true" />


                <p:fieldset legend="ثبت غذا" style="margin-bottom:20px" id="feildset1">
                    <p:panelGrid id="productAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder" >
                        <p:outputLabel value="نام غذا:"/>
                        <p:inputText  value="#{foodBean.insertFoodEntity.name}"/>

                        <p:outputLabel value="وعده ی روزانه:"/>
                        <p:inputText  value="#{foodBean.insertFoodEntity.meal}" />

                        <p:outputLabel value="قیمت:"/>
                        <p:inputText value="#{foodBean.insertFoodEntity.number}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                        <p:outputLabel for="button" value="تاریخ:" />
                        <p:calendar id="button" value="#{foodBean.insertFoodEntity.date}" showIcon="true" />
                    </p:panelGrid>

                    <p:spacer height="10"/>

                    <p:panel styleClass="buttonBox">
                        <p:commandButton value="ثبت" actionListener="#{foodBean.insert}"
                                         update=":addForm feildset1">
                        </p:commandButton>
                    </p:panel>
                    <p:spacer height="10"/>


                    <p:fieldset legend=" نمایش غذا" style="margin-bottom:20px">


                        <p:fieldset legend="جستجوی غذا">

                            <p:panel styleClass="searchBox">
                                <p:panelGrid id="showemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                    <p:outputLabel value="وعده ی روزانه:" style="margin-left: 5px;"/>
                                    <p:inputText value="#{foodBean.searchMeal}" id="nameSeearch" />

                                    <p:outputLabel for="button" value="تاریخ:" />
                                    <p:calendar id="buteeton" value="#{foodBean.searchDate}" showIcon="true" />


                                    <p:commandButton id="searchButton" value="جستجو"
                                                     actionListener="#{foodBean.searchFood}"
                                                     update="@form">
                                    </p:commandButton>
                                </p:panelGrid>
                            </p:panel>
                            <p:spacer height="10"/>

                        </p:fieldset>
                        <p:spacer height="10"/>

                        <p:panel styleClass="searchBox">

                            <p:panelGrid id="empAdd" columns="2" columnsWidth="2,4" styleClass="ui-noborder">
                                <p:outputLabel value="نام غذا:"/>
                                <p:inputText value="#{foodBean.searchFoodEntity.name}" disabled="true"/>

                                <p:outputLabel value="وعده ی روزانه:"/>
                                <p:inputText value="#{foodBean.searchFoodEntity.meal}" disabled="true"/>

                                <p:outputLabel value="قیمت:"/>
                                <p:inputText value="#{foodBean.searchFoodEntity.number}" disabled="true"/>

                                <p:outputLabel value="تاریخ:"/>
                                <p:calendar value="#{foodBean.searchFoodEntity.date}" disabled="true"/>

                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>
                    </p:fieldset>

                    <p:fieldset legend=" ویرایش غذا" style="margin-bottom:20px">


                        <p:fieldset legend="جستجوی غذا">

                            <p:panel styleClass="searchBox">
                                <p:panelGrid id="seditemp" columns="4" columnsWidth="2,4,2,4" styleClass="ui-noborder">

                                    <p:outputLabel value="وعده ی روزانه:" style="margin-left: 5px;"/>
                                    <p:inputText value="#{foodBean.delMeal}" id="nameqSeearch" />

                                    <p:outputLabel for="butqeeton" value="تاریخ:" />
                                    <p:calendar id="butqeeton" value="#{foodBean.delDate}" showIcon="true" />


                                    <p:commandButton id="searchButton3" value="جستجو"
                                                     actionListener="#{foodBean.searchFoodForEdit}"
                                                     update="@form">
                                    </p:commandButton>
                                </p:panelGrid>
                            </p:panel>
                            <p:spacer height="10"/>

                        </p:fieldset>
                        <p:spacer height="10"/>

                        <p:panel styleClass="searchBox">

                            <p:panelGrid id="empEdit" columns="2" columnsWidth="2,4" styleClass="ui-noborder">

                                <p:outputLabel value="نام غذا:"/>
                                <p:inputText  value="#{foodBean.editFoodEntity.name}"/>

                                <p:outputLabel value="وعده ی روزانه:"/>
                                <p:inputText value="#{foodBean.editFoodEntity.meal}" disabled="true"/>

                                <p:outputLabel value="قیمت:"/>
                                <p:inputText value="#{foodBean.editFoodEntity.number}" onkeypress="if(event.which &lt; 48 || event.which &gt; 57) return false;"/>

                                <p:outputLabel value="تاریخ:"/>
                                <p:calendar value="#{foodBean.editFoodEntity.date}" disabled="true"/>
                            </p:panelGrid>
                        </p:panel>
                        <p:spacer height="10"/>

                        <p:panel styleClass="buttonBox">
                            <p:commandButton value="ویرایش" actionListener="#{foodBean.editFood}"
                                             update=":addForm">
                            </p:commandButton>
                            <p:commandButton value="حذف" actionListener="#{foodBean.deleteFood}"
                                             update=":addForm">
                            </p:commandButton>
                        </p:panel>
                    </p:fieldset>



                </p:fieldset>
            </h:form>
        </p:fieldset>

        <div class="ui-g-3"></div>
    </h:body>
</ui:composition>
</html>
